# Topics for Projects and Theses in the [KWARC](http://kwarc.info) Group

## Contact
[Prof. Michael Kohlhase](http://kwarc.info/kohlhase)
Professur für Wissensrepräsentation & -verarbeitung
FAU Erlangen Nürnberg, Martensstr. 3, D-91058 Erlangen, Room 11.139,
tel/fax: (49) 9131-85-64052/55, <[Michael.Kohlhase@fau.de](mailto:michael@kohlhase@fau.de)>


## KWARC Research

The KWARC research group conducts research in knowledge representation and reasoning techniques with a view towards applications in knowledge management. We extend techniques from [formal methods](http://kwarc.info/semantics.html#fm) so that they can be used in settings where formalization is either infeasible or too costly. We concentrate on developing techniques for marking up the [structural semantics](http://kwarc.info/semantics.html#ssem) in technical documents. This level of markup allows for offering interesting [knowledge management services](http://kwarc.info/projects/) without forcing the author to formalize the document contents.

## Getting a Topic for a Bachelor's, Master's, or Ph.D. Thesis

The KWARC group has a strong tradition of involving students in research early. We had
Bachelor Students who graduated with multiple papers at international conferences or a
journal article to their name. They started in their first years of study at Jacobs
University, and we will have to see what we can do at FAU. 

Generally, we try to tailor thesis topics matching the KWAC interests to the interests of
the candidate in a personal "thesis negotiation process". Actually, as theses in KWARC are
about fundamental and systems research (i.e. the research question co-evolves with the
results obtained), the "thesis topic" will just be an initial idea to be understood and
developed further during the thesis research process. This applies to the topics listed
below, even the topics that are partially taken might have some aspects that can still be
extended (and there is a student to collaborate with).

In any case you should contact the Principal Investigator of KWARC:
[Prof. Michael Kohlhase](http://kwarc.info/kohlhase) or the person indicated as the
assignee. 

## Thesis Topics

Topcis are available in the following larger areas, individual topics will be encoded as
[issues](https://gl.kwarc.info/kwarc/thesis-projects/issues), details can be clarified in
their discussion areas.

* Representation of mathematical knowledge via Theory Graphs: #2 #3 #4 #11 #12 #16 #20 #22 #24 
* Representation of logical systems and their translations via Theory Graphs: #5 #8
* Serious Games for Maths (based on logic and theory graphs): #1 #3 (but also see the
  [project issues](https://github.com/UFrameIT/UFrameIT/issues))
* The  [MathHub System](http://mathhub.info): #15 #17 #18 #21 #28 (but also see the
  project issues: [Frontend](https://github.com/MathHubInfo/Frontend/issues) [Backend](https://github.com/MathHubInfo/MathHub/issues))
* Semantics-Extraction from technical/mathematical documents: #2 #6
* [Mathematical search engines](http//search.mathweb.org): #26 #27 
* [Integration of theorem prover libraries](http://kwarc.info/projects/oaf/): #7 #29 #30
* Active Dokuments and the integration of semantic services into legal/technical/mathematical
  documents (e.g. for course materials): #9 #10 #23 #29 #30
* Interoperability and integration of mathematical software systems - e.g. computer
  algebra, math data bases, theorem provers (in the
  [OpenDreamKit](http://opendreamkit.org) EU project) #7
* Cognitive engineering (semantische information/help systems for CAD/CAM systems).
* Corpus Linguistics for Mathematics: #2 #6 #14
* UIs and Interaction with all of this: #8 #13
* Application of machine learning techniques to generating semantic data. #14
